#ifndef _ELM_INTERFACE_ATSPI_ACCESSIBLE_EO_H_
#define _ELM_INTERFACE_ATSPI_ACCESSIBLE_EO_H_

/**

 */
#define ELM_INTERFACE_ATSPI_ACCESSIBLE_CLASS elm_interface_atspi_accessible_class_get()

const Eo_Class *elm_interface_atspi_accessible_class_get(void) EINA_CONST;

#ifdef ELM_INTERFACE_ATSPI_ACCESSIBLE_PROTECTED
/**
 * @def elm_interface_atspi_accessible_localized_role_name_get
 *
 * Gets an localized string describing ATSPI widget role name.
 *
 *
 */
EAPI const char * elm_interface_atspi_accessible_localized_role_name_get(void);
#endif

#ifdef ELM_INTERFACE_ATSPI_ACCESSIBLE_PROTECTED
/**
 * @def elm_interface_atspi_accessible_name_set
 *
 * No description supplied.
 *
 * @param[in] name obj name
 *
 */
EAPI void  elm_interface_atspi_accessible_name_set(const char *name);
#endif

#ifdef ELM_INTERFACE_ATSPI_ACCESSIBLE_PROTECTED
/**
 * @def elm_interface_atspi_accessible_name_get
 *
 * Gets an string describing ATSPI widget role name.
 *
 *
 */
EAPI const char * elm_interface_atspi_accessible_name_get(void);
#endif

#ifdef ELM_INTERFACE_ATSPI_ACCESSIBLE_PROTECTED
/**
 * @def elm_interface_atspi_accessible_relation_set_get
 *
 * Gets an string describing ATSPI widget role name.
 *
 *
 */
EAPI void  elm_interface_atspi_accessible_relation_set_get(void);
#endif

#ifdef ELM_INTERFACE_ATSPI_ACCESSIBLE_PROTECTED
/**
 * @def elm_interface_atspi_accessible_role_set
 *
 * No description supplied.
 *
 * @param[in] role No description supplied.
 *
 */
EAPI void  elm_interface_atspi_accessible_role_set(Elm_Atspi_Role role);
#endif

#ifdef ELM_INTERFACE_ATSPI_ACCESSIBLE_PROTECTED
/**
 * @def elm_interface_atspi_accessible_role_get
 *
 * Gets the role of the widget in ATSPI Accessibility domain.
 *
 *
 */
EAPI Elm_Atspi_Role  elm_interface_atspi_accessible_role_get(void);
#endif

#ifdef ELM_INTERFACE_ATSPI_ACCESSIBLE_PROTECTED
/**
 * @def elm_interface_atspi_accessible_children_get
 *
 * Gets widget's accessible children.
 *
 *
 */
EAPI Eina_List * elm_interface_atspi_accessible_children_get(void);
#endif

#ifdef ELM_INTERFACE_ATSPI_ACCESSIBLE_PROTECTED
/**
 * @def elm_interface_atspi_accessible_role_name_get
 *
 * Gets human-readable string indentifying widget accessibility
 * role.
 *
 *
 */
EAPI const char * elm_interface_atspi_accessible_role_name_get(void);
#endif

#ifdef ELM_INTERFACE_ATSPI_ACCESSIBLE_PROTECTED
/**
 * @def elm_interface_atspi_accessible_attributes_get
 *
 * Gets human-readable string indentifying widget accessibility
 * role.
 *
 *
 */
EAPI void  elm_interface_atspi_accessible_attributes_get(void);
#endif

#ifdef ELM_INTERFACE_ATSPI_ACCESSIBLE_PROTECTED
/**
 * @def elm_interface_atspi_accessible_index_in_parent_get
 *
 * Gets index of the child in parent's children list.
 *
 *
 */
EAPI int  elm_interface_atspi_accessible_index_in_parent_get(void);
#endif

/**
 * @def elm_interface_atspi_accessible_description_set
 *
 * Sets contextual information about widget.
 *
 * @param[in] description No description supplied.
 *
 */
EAPI void  elm_interface_atspi_accessible_description_set(const char *description);

/**
 * @def elm_interface_atspi_accessible_description_get
 *
 * Gets widget contextual information.
 *
 *
 */
EAPI const char * elm_interface_atspi_accessible_description_get(void);

#ifdef ELM_INTERFACE_ATSPI_ACCESSIBLE_PROTECTED
/**
 * @def elm_interface_atspi_accessible_parent_set
 *
 * Sets widget accessible parent.
 *
 * @param[in] parent No description supplied.
 *
 */
EAPI void  elm_interface_atspi_accessible_parent_set(Eo *parent);
#endif

#ifdef ELM_INTERFACE_ATSPI_ACCESSIBLE_PROTECTED
/**
 * @def elm_interface_atspi_accessible_parent_get
 *
 * Gets widget accessible parent.
 *
 *
 */
EAPI Eo * elm_interface_atspi_accessible_parent_get(void);
#endif

#ifdef ELM_INTERFACE_ATSPI_ACCESSIBLE_PROTECTED
/**
 * @def elm_interface_atspi_accessible_state_set_get
 *
 * Gets set describing widget accessible states.
 *
 *
 */
EAPI Elm_Atspi_State_Set  elm_interface_atspi_accessible_state_set_get(void);
#endif

EAPI extern const Eo_Event_Description _ELM_INTERFACE_ATSPI_ACCESSIBLE_EVENT_PROPERTY_CHANGED;
EAPI extern const Eo_Event_Description _ELM_INTERFACE_ATSPI_ACCESSIBLE_EVENT_CHILDREN_CHANGED;
EAPI extern const Eo_Event_Description _ELM_INTERFACE_ATSPI_ACCESSIBLE_EVENT_STATE_CHANGED;
EAPI extern const Eo_Event_Description _ELM_INTERFACE_ATSPI_ACCESSIBLE_EVENT_VISIBLE_DATA_CHANGED;
EAPI extern const Eo_Event_Description _ELM_INTERFACE_ATSPI_ACCESSIBLE_EVENT_ACTIVE_DESCENDANTS_CHANGED;

/**
 * No description
 */
#define ELM_INTERFACE_ATSPI_ACCESSIBLE_EVENT_PROPERTY_CHANGED (&(_ELM_INTERFACE_ATSPI_ACCESSIBLE_EVENT_PROPERTY_CHANGED))

/**
 * No description
 */
#define ELM_INTERFACE_ATSPI_ACCESSIBLE_EVENT_CHILDREN_CHANGED (&(_ELM_INTERFACE_ATSPI_ACCESSIBLE_EVENT_CHILDREN_CHANGED))

/**
 * No description
 */
#define ELM_INTERFACE_ATSPI_ACCESSIBLE_EVENT_STATE_CHANGED (&(_ELM_INTERFACE_ATSPI_ACCESSIBLE_EVENT_STATE_CHANGED))

/**
 * No description
 */
#define ELM_INTERFACE_ATSPI_ACCESSIBLE_EVENT_VISIBLE_DATA_CHANGED (&(_ELM_INTERFACE_ATSPI_ACCESSIBLE_EVENT_VISIBLE_DATA_CHANGED))

/**
 * No description
 */
#define ELM_INTERFACE_ATSPI_ACCESSIBLE_EVENT_ACTIVE_DESCENDANTS_CHANGED (&(_ELM_INTERFACE_ATSPI_ACCESSIBLE_EVENT_ACTIVE_DESCENDANTS_CHANGED))

#endif