#ifndef _ELM_INTERFACE_ATSPI_COMPONENT_EO_H_
#define _ELM_INTERFACE_ATSPI_COMPONENT_EO_H_

/**

 */
#define ELM_INTERFACE_ATSPI_COMPONENT_CLASS elm_interface_atspi_component_class_get()

const Eo_Class *elm_interface_atspi_component_class_get(void) EINA_CONST;

#ifdef ELM_INTERFACE_ATSPI_COMPONENT_PROTECTED
/**
 * @def elm_interface_atspi_component_size_set
 *
 * Sets size of accessible widget.
 *
 * @param[in] w No description supplied.
 * @param[in] h No description supplied.
 *
 */
EAPI Eina_Bool  elm_interface_atspi_component_size_set(int w, int h);
#endif

#ifdef ELM_INTERFACE_ATSPI_COMPONENT_PROTECTED
/**
 * @def elm_interface_atspi_component_size_get
 *
 * Gets size of accessible widget.
 *
 * @param[out] w No description supplied.
 * @param[out] h No description supplied.
 *
 */
EAPI void  elm_interface_atspi_component_size_get(int *w, int *h);
#endif

#ifdef ELM_INTERFACE_ATSPI_COMPONENT_PROTECTED
/**
 * @def elm_interface_atspi_component_layer_get
 *
 * Sets evas layer of accessible widget.
 *
 *
 */
EAPI int  elm_interface_atspi_component_layer_get(void);
#endif

#ifdef ELM_INTERFACE_ATSPI_COMPONENT_PROTECTED
/**
 * @def elm_interface_atspi_component_alpha_get
 *
 * Gets alpha of accessible widget.
 *
 *
 */
EAPI double  elm_interface_atspi_component_alpha_get(void);
#endif

#ifdef ELM_INTERFACE_ATSPI_COMPONENT_PROTECTED
/**
 * @def elm_interface_atspi_component_z_order_get
 *
 * Gets the depth at which the component is shown in relation to
 * other components in the same container.
 *
 *
 */
EAPI int  elm_interface_atspi_component_z_order_get(void);
#endif

#ifdef ELM_INTERFACE_ATSPI_COMPONENT_PROTECTED
/**
 * @def elm_interface_atspi_component_extents_set
 *
 * Sets geometry of accessible widget.
 *
 * @param[in] screen_coords If true x and y values will be relative
to screen origin, otherwise relative to
canvas
 * @param[in] x No description supplied.
 * @param[in] y No description supplied.
 * @param[in] w No description supplied.
 * @param[in] h No description supplied.
 *
 */
EAPI Eina_Bool  elm_interface_atspi_component_extents_set(Eina_Bool screen_coords, int x, int y, int w, int h);
#endif

#ifdef ELM_INTERFACE_ATSPI_COMPONENT_PROTECTED
/**
 * @def elm_interface_atspi_component_extents_get
 *
 * Gets geometry of accessible widget.
 *
 * @param[in] screen_coords If true x and y values will be relative
to screen origin, otherwise relative to
canvas
 * @param[out] x No description supplied.
 * @param[out] y No description supplied.
 * @param[out] w No description supplied.
 * @param[out] h No description supplied.
 *
 */
EAPI void  elm_interface_atspi_component_extents_get(Eina_Bool screen_coords, int *x, int *y, int *w, int *h);
#endif

#ifdef ELM_INTERFACE_ATSPI_COMPONENT_PROTECTED
/**
 * @def elm_interface_atspi_component_position_set
 *
 * Sets position of accessible widget.
 *
 * @param[in] screen_coords If true x and y values will be relative
to screen origin, otherwise relative to
canvas
 * @param[in] x No description supplied.
 * @param[in] y No description supplied.
 *
 */
EAPI Eina_Bool  elm_interface_atspi_component_position_set(Eina_Bool screen_coords, int x, int y);
#endif

#ifdef ELM_INTERFACE_ATSPI_COMPONENT_PROTECTED
/**
 * @def elm_interface_atspi_component_position_get
 *
 * Gets position of accessible widget.
 *
 * @param[in] screen_coords If true x and y values will be relative
to screen origin, otherwise relative to
canvas
 * @param[out] x No description supplied.
 * @param[out] y No description supplied.
 *
 */
EAPI void  elm_interface_atspi_component_position_get(Eina_Bool screen_coords, int *x, int *y);
#endif

#ifdef ELM_INTERFACE_ATSPI_COMPONENT_PROTECTED
/**
 * @def elm_interface_atspi_component_contains
 *
 * No description supplied.
 *
 * @param[in] screen_coords If true x and y values will be relative
to screen origin, otherwise relative to
canvas
 * @param[in] x No description supplied.
 * @param[in] y No description supplied.
 *
 */
EAPI Eina_Bool  elm_interface_atspi_component_contains(Eina_Bool screen_coords, int x, int y);
#endif

/**
 * @def elm_interface_atspi_component_focus_grab
 *
 * Focuses accessible widget.
 *
 * @return true if focus grab focus has successed, false otherwise.
 *
 *
 */
EAPI Eina_Bool  elm_interface_atspi_component_focus_grab(void);

#ifdef ELM_INTERFACE_ATSPI_COMPONENT_PROTECTED
/**
 * @def elm_interface_atspi_component_accessible_at_point_get
 *
 * Gets top component object occupying space at given coordinates.
 *
 * @param[in] screen_coords If true x and y values will be relative
to screen origin, otherwise relative to
canvas
 * @param[in] x No description supplied.
 * @param[in] y No description supplied.
 *
 */
EAPI Evas_Object * elm_interface_atspi_component_accessible_at_point_get(Eina_Bool screen_coords, int x, int y);
#endif


#endif