#ifndef _ELM_SYSTRAY_EO_H_
#define _ELM_SYSTRAY_EO_H_

/**

 */
#define ELM_OBJ_SYSTRAY_CLASS elm_obj_systray_class_get()

const Eo_Class *elm_obj_systray_class_get(void) EINA_CONST;

/**
 * @def elm_obj_systray_id_set
 *
 * Set the id of the Status Notifier Item.
 *
 * @param[in] id No description supplied.
 *
 */
EAPI void  elm_obj_systray_id_set(const char *id);

/**
 * @def elm_obj_systray_id_get
 *
 * Retrieve the id of the Status Notifier Item.
 *
 *
 */
EAPI const char * elm_obj_systray_id_get(void);

/**
 * @def elm_obj_systray_category_set
 *
 * Set the category of the Status Notifier Item.
 *
 * @param[in] cat Category
 *
 */
EAPI void  elm_obj_systray_category_set(Elm_Systray_Category cat);

/**
 * @def elm_obj_systray_category_get
 *
 * Retrieve the category of the Status Notifier Item.
 *
 *
 */
EAPI Elm_Systray_Category  elm_obj_systray_category_get(void);

/**
 * @def elm_obj_systray_icon_theme_path_set
 *
 * Set the path to the theme where the icons can be found. Set this value to "" to use the default path.
 *
 * @param[in] icon_theme_path No description supplied.
 *
 */
EAPI void  elm_obj_systray_icon_theme_path_set(const char *icon_theme_path);

/**
 * @def elm_obj_systray_icon_theme_path_get
 *
 * Retrieve the path to the icon's theme currently in use.
 *
 *
 */
EAPI const char * elm_obj_systray_icon_theme_path_get(void);

/**
 * @def elm_obj_systray_menu_set
 *
 * Set the object path of the D-Bus Menu that is to be show when the Status Notifier Item is activated by the user.
 *
 * @param[in] menu No description supplied.
 *
 */
EAPI void  elm_obj_systray_menu_set(const Eo *menu);

/**
 * @def elm_obj_systray_menu_get
 *
 * Retrieve the object path of the D-Bus Menu currently in use.
 *
 *
 */
EAPI const Eo * elm_obj_systray_menu_get(void);

/**
 * @def elm_obj_systray_att_icon_name_set
 *
 * Set the name of the attention icon to be used by the Status Notifier Item.
 *
 * @param[in] att_icon_name No description supplied.
 *
 */
EAPI void  elm_obj_systray_att_icon_name_set(const char *att_icon_name);

/**
 * @def elm_obj_systray_att_icon_name_get
 *
 * Retrieve the name of the attention icon used by the Status Notifier Item.
 *
 *
 */
EAPI const char * elm_obj_systray_att_icon_name_get(void);

/**
 * @def elm_obj_systray_status_set
 *
 * Set the status of the Status Notifier Item.
 *
 * @param[in] st Status
 *
 */
EAPI void  elm_obj_systray_status_set(Elm_Systray_Status st);

/**
 * @def elm_obj_systray_status_get
 *
 * Retrieve the status of the Status Notifier Item.
 *
 *
 */
EAPI Elm_Systray_Status  elm_obj_systray_status_get(void);

/**
 * @def elm_obj_systray_icon_name_set
 *
 * Set the name of the icon to be used by the Status Notifier Item.
 *
 * @param[in] icon_name No description supplied.
 *
 */
EAPI void  elm_obj_systray_icon_name_set(const char *icon_name);

/**
 * @def elm_obj_systray_icon_name_get
 *
 * Retrieve the name of the icon used by the Status Notifier Item.
 *
 *
 */
EAPI const char * elm_obj_systray_icon_name_get(void);

/**
 * @def elm_obj_systray_title_set
 *
 * Set the title of the Status Notifier Item.
 *
 * @param[in] title No description supplied.
 *
 */
EAPI void  elm_obj_systray_title_set(const char *title);

/**
 * @def elm_obj_systray_title_get
 *
 * Retrieve the title of the Status Notifier Item.
 *
 *
 */
EAPI const char * elm_obj_systray_title_get(void);

/**
 * @def elm_obj_systray_register
 *
 * Register this Status Notifier Item in the System Tray Watcher. This function should only be called after the event ELM_EVENT_SYSTRAY_READY is emitted.
 *
 *
 */
EAPI Eina_Bool  elm_obj_systray_register(void);


#endif